Subject: Re: [Roll] [6lowpan] draft-kelsey-intarea-mesh-link-establishment-03.txt

From: Don Sturek <[email-masked]>
Date: Fri, 15 Jun 2012 12:06:49 -0500

Hi Thomas,

Fair enough.  I do know we avoided making the draft RPL specific so look forward to hearing from the intarea ADs on where we should direct the draft.

Don

Sent from T-Mobile G2 with Google

Thomas Heide Clausen <[email-masked]> wrote:

>Hi Don,
>
>
>On 15 Jun 2012, at 18:41, Don Sturek <[email-masked]> wrote:
>
>> Hi Thomas,
>> 
>> I think our plan was to submit it to the Internet Area directly (Richard:
>> That is from memory, am I correct?)
>> 
>
>If that's the case, then I think that it needs to be scoped carefully: the design and direction of the work required would (IMO) be very different if it aims narrowly for RPL, or broadly for "MESH", and the text in the specification should be very very clear as to this.
>
>If an AD sponsored submission is the intend, then I do honestly not know what the proper way of shaping the process / forum for discussions / framing of the specification would be, but I would hope that an AD could chirp in (as you say INT, have you discussed this with Brian or Ralph, and could you or either of them let us know?)
>
>Note, I am not taking position for or against MLE at all - I just want to ensure that a specification published be scoped so as to not be constraining for domains for which it hasn't been discussed.
>
>Thomas
>
>
>> Don
>> 
>> 
>> 
>> On 6/15/12 9:28 AM, "Thomas Heide Clausen" <[email-masked]> wrote:
>> 
>>> 
>>> On 15 Jun 2012, at 15:57, Don Sturek <[email-masked]> wrote:
>>> 
>>>> Hi Thomas (and Michael),
>>>> 
>>>> I don't agree that MLE targets only RPL.  The draft was written
>>>> carefully
>>>> to avoid having a narrow focus around RPL.  That said, the deployment we
>>>> are using this draft for uses 6LoWPAN, 6LoWPAN ND, ROLL RPL
>>>> (non-storing)
>>>> and I think many others will find the information exchanged between
>>>> neighbors using MLE as useful.
>>>> 
>>>> Don
>>>> 
>>> 
>>> Hi Don,
>>> 
>>> Note that I was replying to Michael's suggestions that MLE be married to
>>> RPL.
>>> 
>>> If you think it's not, then MLE should neither be developed in ROLL nor
>>> be constrained by RPL code-points, messages or principles.
>>> 
>>> 
>>> Thomas
>>> 
>>>> On 6/15/12 6:15 AM, "Thomas Heide Clausen" <[email-masked]>
>>>> wrote:
>>>> 
>>>>> 
>>>>> On Jun 15, 2012, at 15:12 , Michael Richardson wrote:
>>>>> 
>>>>>> 
>>>>>>>>>>> "Thomas" == Thomas Heide Clausen <[email-masked]> writes:
>>>>>>  Thomas> Not sure how fantastic (or not) it is - it is not
>>>>>>  Thomas> immediately clear to me how tied MLE should be to RPL - if
>>>>>>  Thomas> it truly aims at being for _MESH_ link establishment, then
>>>>>>  Thomas> it would appear to be a much larger scope, and should not be
>>>>>>  Thomas> tied narrowly to a special-purpose protocol's type-space (&
>>>>>>  Thomas> conventions etc., that do not apply universally).
>>>>>> 
>>>>>> Thomas, you will note that:
>>>>>> 1) I suggested it go under IPv6 ICMP first, and if there was such push
>>>>>>   back about allocating a new type, that RPL could allocate a
>>>>>> type/code.
>>>>>> 2) ZigBee alliance (the proposal), *IS* using RPL.
>>>>>> 
>>>>> 
>>>>> In that case, the draft must be very narrowly scoped and written such
>>>>> that it's clear that it's applicable _only_ to that context
>>>>> (special-purpose deployments of a special-purpose protocol), and
>>>>> specifically to not pretend to do general mesh link establishment.
>>>>> 
>>>>>> I see running it over UDP very architecturally strange.
>>>>> 
>>>>> I don't.
>>>>> 
>>>>> Thomas
>>>>> 
>>>>>> -- 
>>>>>> Michael Richardson <[email-masked]>, Sandelman Software Works
>>>>>> IETF ROLL WG co-chair.    http://datatracker.ietf.org/wg/roll/charter/
>>>>>> 
>>>>> 
>>>> 
>>>> 
>> 
>>